# Interface AccessibleTableListener

All Superinterfaces:
  `EventListener`

All Known Implementing Classes:
  `AccessibleTableAdapter`

public interface AccessibleTableListener extends EventListener
Classes which implement this interface provide methods that handle AccessibleTable events.

After creating an instance of a class that implements this interface it can be added to an accessible using the `addAccessibleTableListener` method and removed using the `removeAccessibleTableListener` method.

Many methods in this listener return cell accessible objects, which should implement `AccessibleTableCellListener`.

Since:
  3.6
See Also:
  - `AccessibleTableAdapter`
  - `AccessibleTableEvent`
  - `AccessibleTableCellListener`
  - `AccessibleTableCellEvent`

## Method Summary

Modifier and Type
Method
Description
`void`
`deselectColumn(AccessibleTableEvent e)`
Deselects one column, leaving other selected columns selected (if any).
`void`
`deselectRow(AccessibleTableEvent e)`
Deselects one row, leaving other selected rows selected (if any).
`void`
`getCaption(AccessibleTableEvent e)`
Deprecated.
IAccessibleTable2::caption is deprecated, instead use the IA2_RELATION_LABELED_BY relation to create a relation between the table and its caption.
`void`
`getCell(AccessibleTableEvent e)`
Returns the accessible object at the specified row and column in the table.
`void`
`getColumn(AccessibleTableEvent e)`
Returns the accessible object for the specified column in the table.
`void`
`getColumnCount(AccessibleTableEvent e)`
Returns the total number of columns in the table.
`void`
`getColumnDescription(AccessibleTableEvent e)`
Returns the description text of the specified column in the table.
`void`
`getColumnHeader(AccessibleTableEvent e)`
Returns the accessible object for the column header.
`void`
`getColumnHeaderCells(AccessibleTableEvent e)`
Returns the column header cells as an array of accessible objects.
`void`
`getColumns(AccessibleTableEvent e)`
Returns the columns as an array of accessible objects.
`void`
`getRow(AccessibleTableEvent e)`
Returns the accessible object for the specified row in the table.
`void`
`getRowCount(AccessibleTableEvent e)`
Returns the total number of rows in the table.
`void`
`getRowDescription(AccessibleTableEvent e)`
Returns the description text of the specified row in the table.
`void`
`getRowHeader(AccessibleTableEvent e)`
Returns the accessible object for the row header.
`void`
`getRowHeaderCells(AccessibleTableEvent e)`
Returns the row header cells as an array of accessible objects.
`void`
`getRows(AccessibleTableEvent e)`
Returns the rows as an array of accessible objects.
`void`
`getSelectedCellCount(AccessibleTableEvent e)`
Returns the number of selected cells.
`void`
`getSelectedCells(AccessibleTableEvent e)`
Returns the currently selected cells.
`void`
`getSelectedColumnCount(AccessibleTableEvent e)`
Returns the number of selected columns.
`void`
`getSelectedColumns(AccessibleTableEvent e)`
Returns the column indexes that are currently selected.
`void`
`getSelectedRowCount(AccessibleTableEvent e)`
Returns the number of selected rows.
`void`
`getSelectedRows(AccessibleTableEvent e)`
Returns the row indexes that are currently selected.
`void`
`getSummary(AccessibleTableEvent e)`
Deprecated.
IAccessibleTable2::summary is deprecated, instead use the IA2_RELATION_DESCRIBED_BY relation to create a relation between the table and its summary.
`void`
`getVisibleColumns(AccessibleTableEvent e)`
Returns the visible columns as an array of accessible objects.
`void`
`getVisibleRows(AccessibleTableEvent e)`
Returns the visible rows as an array of accessible objects.
`void`
`isColumnSelected(AccessibleTableEvent e)`
Returns a boolean value indicating whether the specified column is completely selected.
`void`
`isRowSelected(AccessibleTableEvent e)`
Returns a boolean value indicating whether the specified row is completely selected.
`void`
`selectColumn(AccessibleTableEvent e)`
Selects a column.
`void`
`selectRow(AccessibleTableEvent e)`
Selects a row.
`void`
`setSelectedColumn(AccessibleTableEvent e)`
Selects a column and deselects all previously selected columns.
`void`
`setSelectedRow(AccessibleTableEvent e)`
Selects a row and deselects all previously selected rows.

## Method Details

### deselectColumn

void deselectColumn(AccessibleTableEvent e)
Deselects one column, leaving other selected columns selected (if any).

Parameters:
  `e` - an event object containing the following fields:
  - [in] column - 0 based index of the column to be unselected.
  - [out] result - set to `ACC.OK` if the column was deselected.

### deselectRow

void deselectRow(AccessibleTableEvent e)
Deselects one row, leaving other selected rows selected (if any).

Parameters:
  `e` - an event object containing the following fields:
  - [in] row - 0 based index of the row to be unselected
  - [out] result - set to `ACC.OK` if the row was deselected.

### getCaption

@Deprecated void getCaption(AccessibleTableEvent e)
Deprecated.
IAccessibleTable2::caption is deprecated, instead use the IA2_RELATION_LABELED_BY relation to create a relation between the table and its caption.
Returns the caption for the table.

Parameters:
  `e` - an event object containing the following fields:
  - [out] accessible - the caption for the table, or null if the table does not have a caption

### getCell

void getCell(AccessibleTableEvent e)
Returns the accessible object at the specified row and column in the table.

Parameters:
  `e` - an event object containing the following fields:
  - [in] row - the 0 based row index for which to retrieve the accessible cell
  - [in] column - the 0 based column index for which to retrieve the accessible cell
  - [out] accessible - the table cell at the specified row and column index, or null if the row or column index are not valid

### getColumn

void getColumn(AccessibleTableEvent e)
Returns the accessible object for the specified column in the table.

Parameters:
  `e` - an event object containing the following fields:
  - [in] column - the 0 based column index for which to retrieve the accessible column
  - [out] accessible - the table column at the specified column index, or null if the column index is not valid

### getColumnCount

void getColumnCount(AccessibleTableEvent e)
Returns the total number of columns in the table.

Parameters:
  `e` - an event object containing the following fields:
  - [out] count - the number of columns in the table

### getColumnDescription

void getColumnDescription(AccessibleTableEvent e)
Returns the description text of the specified column in the table.

Parameters:
  `e` - an event object containing the following fields:
  - [in] column - the 0 based index of the column for which to retrieve the description
  - [out] result - the description text of the specified column in the table, or null if the column does not have a description

### getColumnHeader

void getColumnHeader(AccessibleTableEvent e)
Returns the accessible object for the column header.

Parameters:
  `e` - an event object containing the following fields:
  - [out] accessible - an accessible object representing the column header, or null if there is no column header

### getColumnHeaderCells

void getColumnHeaderCells(AccessibleTableEvent e)
Returns the column header cells as an array of accessible objects.

Parameters:
  `e` - an event object containing the following fields:
  - [out] accessibles - an array of accessible objects representing column header cells, or null if there are no column header cells

### getColumns

void getColumns(AccessibleTableEvent e)
Returns the columns as an array of accessible objects.

Parameters:
  `e` - an event object containing the following fields:
  - [out] accessibles - an array of accessible objects representing columns, or null if there are no columns

### getRow

void getRow(AccessibleTableEvent e)
Returns the accessible object for the specified row in the table.

Parameters:
  `e` - an event object containing the following fields:
  - [in] row - the 0 based row index for which to retrieve the accessible row
  - [out] accessible - the table row at the specified row index, or null if the row index is not valid

### getRowCount

void getRowCount(AccessibleTableEvent e)
Returns the total number of rows in the table.

Parameters:
  `e` - an event object containing the following fields:
  - [out] count - the number of rows in the table

### getRowDescription

void getRowDescription(AccessibleTableEvent e)
Returns the description text of the specified row in the table.

Parameters:
  `e` - an event object containing the following fields:
  - [in] row - the 0 based index of the row for which to retrieve the description
  - [out] result - the description text of the specified row in the table, or null if the row does not have a description

### getRowHeader

void getRowHeader(AccessibleTableEvent e)
Returns the accessible object for the row header.

Parameters:
  `e` - an event object containing the following fields:
  - [out] accessible - an accessible object representing the row header, or null if there is no row header

### getRowHeaderCells

void getRowHeaderCells(AccessibleTableEvent e)
Returns the row header cells as an array of accessible objects.

Parameters:
  `e` - an event object containing the following fields:
  - [out] accessibles - an array of accessible objects representing row header cells, or null if there are no row header cells

### getRows

void getRows(AccessibleTableEvent e)
Returns the rows as an array of accessible objects.

Parameters:
  `e` - an event object containing the following fields:
  - [out] accessibles - an array of accessible objects representing rows, or null if there are no rows

### getSelectedCellCount

void getSelectedCellCount(AccessibleTableEvent e)
Returns the number of selected cells.

Parameters:
  `e` - an event object containing the following fields:
  - [out] count - the number of cells currently selected

### getSelectedCells

void getSelectedCells(AccessibleTableEvent e)
Returns the currently selected cells.

Parameters:
  `e` - an event object containing the following fields:
  - [out] accessibles - array containing the selected accessible cells

### getSelectedColumnCount

void getSelectedColumnCount(AccessibleTableEvent e)
Returns the number of selected columns.

Parameters:
  `e` - an event object containing the following fields:
  - [out] count - the number of columns currently selected

### getSelectedColumns

void getSelectedColumns(AccessibleTableEvent e)
Returns the column indexes that are currently selected.

Parameters:
  `e` - an event object containing the following fields:
  - [out] selected - an array of 0 based column indexes of selected columns

### getSelectedRowCount

void getSelectedRowCount(AccessibleTableEvent e)
Returns the number of selected rows.

Parameters:
  `e` - an event object containing the following fields:
  - [out] count - the number of rows currently selected

### getSelectedRows

void getSelectedRows(AccessibleTableEvent e)
Returns the row indexes that are currently selected.

Parameters:
  `e` - an event object containing the following fields:
  - [out] selected - an array of 0 based row indexes of selected rows

### getSummary

@Deprecated void getSummary(AccessibleTableEvent e)
Deprecated.
IAccessibleTable2::summary is deprecated, instead use the IA2_RELATION_DESCRIBED_BY relation to create a relation between the table and its summary.
Returns the summary description of the table.

Parameters:
  `e` - an event object containing the following fields:
  - [out] accessible - the summary for the table, or null if the table does not have a summary

### getVisibleColumns

void getVisibleColumns(AccessibleTableEvent e)
Returns the visible columns as an array of accessible objects.

Parameters:
  `e` - an event object containing the following fields:
  - [out] accessibles - an array of accessible objects representing visible columns, or null if there are no visible columns

### getVisibleRows

void getVisibleRows(AccessibleTableEvent e)
Returns the visible rows as an array of accessible objects.

Parameters:
  `e` - an event object containing the following fields:
  - [out] accessibles - an array of accessible objects representing visible rows, or null if there are no visible rows

### isColumnSelected

void isColumnSelected(AccessibleTableEvent e)
Returns a boolean value indicating whether the specified column is completely selected.

Parameters:
  `e` - an event object containing the following fields:
  - [in] column - 0 based index of the column for which to determine whether it is selected
  - [out] isSelected - true if the specified column is selected completely, and false otherwise

### isRowSelected

void isRowSelected(AccessibleTableEvent e)
Returns a boolean value indicating whether the specified row is completely selected.

Parameters:
  `e` - an event object containing the following fields:
  - [in] row - 0 based index of the row for which to determine whether it is selected
  - [out] isSelected - true if the specified row is selected completely, and false otherwise

### selectColumn

void selectColumn(AccessibleTableEvent e)
Selects a column.

Parameters:
  `e` - an event object containing the following fields:
  - [in] column - 0 based index of the column to be selected
  - [out] result - set to `ACC.OK` if the column was selected.

### selectRow

void selectRow(AccessibleTableEvent e)
Selects a row.

Parameters:
  `e` - an event object containing the following fields:
  - [in] row - 0 based index of the row to be selected
  - [out] result - set to `ACC.OK` if the row was selected.

### setSelectedColumn

void setSelectedColumn(AccessibleTableEvent e)
Selects a column and deselects all previously selected columns.

Parameters:
  `e` - an event object containing the following fields:
  - [in] column - 0 based index of the column to be selected
  - [out] result - set to `ACC.OK` if the column was selected.

### setSelectedRow

void setSelectedRow(AccessibleTableEvent e)
Selects a row and deselects all previously selected rows.

Parameters:
  `e` - an event object containing the following fields:
  - [in] row - 0 based index of the row to be selected
  - [out] result - set to `ACC.OK` if the row was selected.